Load balance V2

The API is for Debit / Prepaid products only. Updated API description below with additional missing information:

This API is for Debit and Prepaid products only. It allows users to load or unload an amount onto an account. A token or account ID can be passed in. In the event that a token is passed, the default action is to credit the account linked to the token. Note: It is normal to load/unload funds in the billing currency of the account. However, this web service offers the option for FX conversion during the load/unload process.

Conversion rates are live within the platform and can be controlled by the user on various bases. A load/unload fee can also be accommodated. It is important to note that the user has control over how this fee affects the account/card balance. Please refer to the description in the "load_fee_type" tag to determine whether the load fee will be charged or not.

Using this API does not disrupt the continuity of the ledger and should be used for all day-to-day financial operations required at the account level. However, please note that this API is NOT suitable for STIP updates of account balance. For STIP functions, please use the Update Account Balance API.

Version 2 load card api support idempotency;

  • If previous api request was success and client send same api_unique_identifier, then same previous response will be returned

  • If previous api request was failed and client send same api_unique_identifier, then new load balance will be processed with incoming api parameters

Body Params

-- This web service loads (credits) and unloads (debits) the balance of a card/token or account.

-- Either load (credit) or unload (debit) based on cr_dr value. ( cr_dr ==> c = Credit / cr_dr ==> d = Debit).

-- Load amounts must be in decimals of up to two digits.

-- Use either token or account id in the input_id field, to load or unload the balance.

string
required

Amount Status:

  • a ==> update actual amount
  • b ==> update blocked amount
number
required

Amount to load or unload.

string
required
length between 1 and 40

Unique number that must be passed at each API request. Identifier to make each API request unique

int32
required
≥ 1

Unique identifier for the client which Paymentology will provide at outset

string
required
length ≥ 1
  • Credit [c/C]= add balance in the account/token.
  • Debit [d/D] = deduct balance in the account/token.
int64
required
≥ 1

Public token / account number.Pass public token when input type is t./Pass account number when input type is a.

string
required

Input Type :

  • a ==> account
  • t ==> Token
string
length between 0 and 50

User Id of the Customer who triggered the API request.

string
length between 0 and 200

Remarks for API request

string

Amount currency (Three digit ISO-4217 standard currency code . i.e. : 048 → BHD, 060 → BMD, 036 → AUD).

number

Fee amount while load/unload balance.

string

Load Currency (Three digit ISO-4217 standard currency code . i.e. : 048 → BHD, 060 → BMD, 036 → AUD).

string
length between 0 and 50

Specify a note about source of load.

string

Unload option :

  • 1 ==> Decline unload if balance is insufficient.
  • 2 ==> Balance reduces to negative if insufficient.
  • 3 ==> Balance reduces to zero if insufficient balance. DEFAULT if not passed unload_option.
string
length between 0 and 500

Something about load/unload note.

int32

Load Fee Type.Possible values are

  • :0 ==> Load fee not applicable.
  • 1 ==> Load fee applicable.

If not passed then default as 0

Responses

404

Webservices does not exist

500

Internal Server error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json